* {
  box-sizing: border-box;
}

body {
  margin: 0;
  background-color: var(--color-dark-blue);
  color: var(--color-sky);
  font-family: var(--font-family);
}

:root {
  --color-dark-blue: #0b1321;
  --color-white: white;
  --color-light-blue: #152834;
  --color-light-sky: #0b2b2e;
  --color-sky: #8cefe9;
  --color-black: #020202;
  --color-gray: #7b8595;
  --color-purple: #7d3ea4;
  --color-purple2: #9e55b8;
  --color-green: #55b870;
  --color-red: #c33030;
  --color-dark-blue2: #5594b8;
  --color-pink: #b85567;
  --color-yellow: #aab855;
  --color-brown: #b89055;
  --color-orange: #db9731;
  --color-sky2: #30a3c7;
  --color-gray2: #cbbba3;
  --color-dark-purple: #3b0b46;
  --color-dark-green: #33a021;
  --font-family: "JetBrains Mono", monospace;
}

header {
  text-align: center;
  font-weight: bolder;
  font-size: 2rem;
}

header img {
  width: 50px;
}

form {
  background-color: var(--color-light-sky);
  height: 300px;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: space-around;
  align-items: center;
  margin-bottom: 60px;
}

section > img {
  width: 50px;
  margin-right: -60px;
  margin-bottom: -18px;
}
input[type="text"] {
  border: 4px solid var(--color-white);
  background-color: transparent;
  background-color: none;
  border-radius: 40px;
  width: 300px;
  height: 60px;
  padding: 20px 20px 20px 70px;
  color: var(--color-gray);
  font-size: 1.5rem;
}

::placeholder {
  font-size: 1.5rem;
}

.filters {
  display: flex;
  flex-wrap: wrap;
  justify-content: start;
  gap: 40px;
}

label[for="type"],
label[for="name"] {
  font-size: 1rem;
  font-weight: bolder;
  margin-top: 10px;
}

select {
  background-color: transparent;
  border-radius: 20px;
  border: 4px solid var(--color-white);
  color: var(--color-gray);
  width: 100px;
  padding: 10px;
}

button[type="reset"] {
  background-color: var(--color-sky);
  border: none;
  border-radius: 20px;
  padding: 15px;
  color: #0d091e;
  font-weight: bold;
  width: 1000px;
  height: 60px;
  font-size: 1.5rem;
  cursor: pointer;
}

.container-modal {
  width: 400px;
  height: 300px;
  position: fixed;
  z-index: 2;
  background-color: var(--color-light-sky);
  border-radius: 20px;
  top: 400px;
  left: 550px;
}
.container-modal > p {
  text-align: center;
  font-weight: bold;
  font-size: 1.5rem;
}
.container-modal > img {
  width: 200px;
  height: 200px;
  margin-left: 80px;
  margin-top: 20px;
}
.container-modal > .fa-xmark {
  position: relative;
  bottom: 180px;
  left: 10px;
}
.container-active {
  display: block;
}

/* Main */
ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  justify-content: space-around;
}

li[itemtype="pokemons"] {
  background-color: var(--color-light-blue);
  width: 363px;
  height: 510px;
  border-radius: 0 60px 0 60px;
  list-style: none;
}

div,
.name,
h3 {
  display: flex;
  justify-content: center;
  margin: 0;
}
.type {
  display: flex;
  justify-content: start;
  border-radius: 0 60px 0 0;
  width: 363px;
  height: 174px;
}

.type > img {
  width: 40px;
  height: 40px;
  margin-top: 3px;
  margin-left: 2px;
}

.image {
  margin-top: -200px;
}
.image > img {
  height: 350px;
  margin-top: 30px;
}
.image > img:hover {
  transform: scale(1) translate(15px);
  filter: drop-shadow(-30px 2px 10px rgba(0, 0, 0, 0.7));
}

.name {
  font-weight: bolder;
  font-size: 2rem;
  text-align: center;
  margin-top: -10px;
}

h3 {
  font-weight: bold;
  margin-left: -200px;
  margin-top: 20px;
}
.weaknesses {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-left: 50px;
  margin-top: 10px;
}
.weaknesses > img {
  width: 40px;
}

footer p {
  text-align: center;
}

/* modal */
#myBtn {
  border: 4px solid var(--color-white);
  margin: 0;
  border-radius: 15px;
  padding: 8px;
  cursor: pointer;
}
#myBtn > i {
  color: var(--color-white);
}
.modal-content {
  display: none;
  position: fixed;
  left: 350px;
  top: 200px;
  z-index: 1;
  background-color: var(--color-light-sky);
  width: 50%;
  height: 65%;
  border-radius: 40px;
  padding: 20px;
}
.modal-content > h2 {
  text-align: center;
}
.modal-content > i {
  cursor: pointer;
}
.modal-active {
  display: block;
}
.modal-close {
  display: none;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.769);
  display: none;
}

.overlay-active {
  display: block;
}

/* media queries */
@media (max-width: 1213px) {
  .modal-content {
    height: 55%;
  }
  .container-modal {
    left: 380px;
  }
}

@media (max-width: 992px) {
  button[type="reset"] {
    width: 500px;
  }
  .modal-content {
    left: 250px;
    height: 45%;
  }
  .container-modal {
    left: 280px;
  }
}

@media (max-width: 768px) {
  form {
    justify-content: center;
    height: 350px;
  }
  .filters {
    margin-top: 10px;
    justify-content: center;
  }
  #myBtn {
    margin-top: 10px;
    justify-content: center;
  }
  button[type="reset"] {
    margin-top: 10px;
  }
  .modal-content {
    left: 200px;
    height: 40%;
  }
  .container-modal {
    left: 180px;
  }
}

@media (max-width: 480px) {
  form {
    justify-content: center;
  }
  .filters {
    margin-top: 10px;
    justify-content: center;
  }
  #myBtn {
    margin-top: 10px;
    justify-content: center;
  }
  button[type="reset"] {
    margin-top: 10px;
    width: 250px;
  }
  .modal-content {
    left: 74px;
    height: 39%;
    width: 70%;
  }
  .container-modal {
    left: 30px;
  }
}
